Package twisted :: Package lore :: Module slides :: Class SlidesProcessingFunctionFactory

[show private | hide private]
[frames | no frames]

## Class SlidesProcessingFunctionFactory

    ProcessingFunctionFactory --+
                                |
                               SlidesProcessingFunctionFactory

Method Summary
| `generate_html(self, d)` (inherited from `ProcessingFunctionFactory`)
| `generate_latex(self, d)` (inherited from `ProcessingFunctionFactory`)
| `generate_lint(self, d)` (inherited from `ProcessingFunctionFactory`)
| `generate_mgp(self, d)`
| `getLintChecker(self)` (inherited from `ProcessingFunctionFactory`)

Class Variable Summary
`list` | `doFile`
`dict` | `latexSpitters`

Class Variable Details

### doFile

  Type:
    `list`
  Value:

        [<function doFile at 0x866a884>]

### latexSpitters

  Type:
    `dict`
  Value:

        {None: <class twisted.lore.latex.LatexSpitter at 0x86f9c1c>,
         'book': <class twisted.lore.latex.BookLatexSpitter at 0x86f9eec>,
         'chapter': <class twisted.lore.latex.ChapterLatexSpitter at 0x86f9cbc\
        >,
         'prosper': <class twisted.lore.slides.ProsperSlides at 0x8686e74>,
         'section': <class twisted.lore.latex.SectionLatexSpitter at 0x86f9c4c\
        >}

Generated by Epydoc 1.1 on Thu May 8 13:16:31 2003 | http://epydoc.sf.net